* {
  box-sizing: border-box;
}

body {
  font-family: Arial;
  padding: 10px;
  background: #f1f1f1 !important;
  margin: 0;
  padding: 0;
}

/* Header/Blog Title */
.header {
  padding: 30px;
  text-align: center;
  background: white;
}

.header h1 {
  margin: 0px;
  font-size: 50px;
}

/* Style the top navigation bar */
.topnav {
  display: flex;
  background-color: #ffffff;
  position: sticky;
  top: -5px;
  margin: 0;
  box-shadow: 0 37px 37px -4px rgba(0, 0, 0, 0.02);
  z-index: 999;
}

/* Style the topnav links */
.topnav a {
  float: left;
  display: block;
  color: #333;
  text-align: center;
  padding: 24px 26px;
  text-decoration: none;
}

.topnav form {
  position: absolute;
  right: 0;
  height: 100%;
  text-decoration: none;
  margin: 0px;
  padding: 0px;
  width: 25%;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Change color on hover */
.topnav a:hover {
  background-color: #ddd;
  color: black;
}

/* Create two unequal columns that floats next to each other */
/* Left column */
.section {
  width: 90%;
  background-color: white;
  margin: auto;
  padding: 20px;
}

/* Right column */
.rightcolumn {
  float: left;
  width: 25%;
  background-color: #f1f1f1;
  padding-left: 20px;
}

/* Fake image */
.fakeimg {
  background-color: #aaa;
  width: 50%;
  padding: 20px;
}

/* Add a card effect for articles */
.card {
  background-color: white;
  padding: 20px;
  margin-top: 20px;
}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Footer */
footer {
  left: 0;
  bottom: 0;
  width: 100%;
  background-color: #000;
  color: white;
  vertical-align: middle;
  text-align: center;
  padding: 20px;
}

footer h5 {
  color: #eee;
}

.row {
  margin: 20px;
  min-height: 100vh;
}

/* Responsive layout - when the screen is less than 800px wide, make the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 800px) {
  .section,
  .rightcolumn {
    width: 100%;
    padding: 0;
  }
}

/* Responsive layout - when the screen is less than 400px wide, make the navigation links stack on top of each other instead of next to each other */
@media screen and (max-width: 400px) {
  .topnav a {
    float: none;
    width: 100%;
  }

  .topnav {
    display: flex;
    flex-direction: column;
  }
  .topnav form {
    position: relative;
    display: block;
    right: 0;
    text-decoration: none;
    margin: 0px;
    padding: 10px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
  }
}
